PETSc version 3.15.5
Fix/Edit manual page

# DMLabelHasPoint

Determine whether a label assigns a value to a point

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelHasPoint(DMLabel label, PetscInt point, PetscBool *contains)

Not collective

### Input Parameters

| label | - the DMLabel
| point | - the point

### Output Parameter

| contains | - Flag indicating whether the label maps this point to a value

Note: The user must call DMLabelCreateIndex() before this function.

### See Also

DMLabelCreateIndex(), DMLabelGetValue(), DMLabelSetValue()

### Level

developer

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages